"use client";

import { CategoryItem } from "@/components/shared/category-item";
import { Locale } from "@/i18n/routing";
import { useCategory } from "@/servers/data/use-category";
import { useLocale } from "next-intl";
import React from "react";


export default function Categories() {
	const locale = useLocale() as Locale;
	// const { items } = await getCategoryData();

	//console.log("items: ", items);

	const { categories } = useCategory();


	const _categories = React.useMemo(() => {
		if (!categories) return [];
		return categories?.splice(0, 8)?.map(({ id, name, name_en, image, products }: any) => {
			return ({
				id,
				count: products.length,
				icon: image ? `https://bintaleb.crm.rs4it.com/public/${image}` : "/icons/product-icon-1.png",
				title: { en: name_en, ar: name }
			});

		});

	}, [categories]);


	return (
		<section className="container mx-auto max-w-7xl px-4 pb-12 md:px-6">
			<div className="grid grid-cols-1 gap-4 px-2 md:grid-cols-2 lg:grid-cols-4 lg:gap-4 lg:gap-y-6">
				{_categories?.map((category: any) => (
					<CategoryItem
						key={category.id}
						icon={category.icon}
						title={category.title?.[locale]}
						count={category.count}
						isMain={category.isMain}
						locale={locale}
					/>
				))}
			</div>
		</section>
	);
}
